%define path /usr/krb5
%define version 1.8d
%define release 14.LTS4
%define name krb5
%define __spec_install_post %{nil}

Summary: The Kerberos network authentication system.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: MIT, freely distributable.
URL: http://web.mit.edu/kerberos/www/
Group: System Environment/Base
Packager: Troy Dawson <dawson@fnal.gov>
BuildRoot: %{_tmppath}/%{name}-%{version}
Epoch: 22

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords.
Fermilab's release contains several additions that will possibly make 
it into the mainstream release, most important of which is kryptocard 
login.

%package getcert
Summary: Convert your x509 certificate and import it into your browser
Group: System Environment/Base
Requires: openssl nspr nss

%description getcert
This script will try to get an x509 cert from
the FNAL KCA and convert it into a pkcs12 file
then attempt to auto-import it into Mozilla &
FireFox if possible

%package libs-fermi
Summary: Fermilabs shared libraries used by Kerberos 5.
Group: System Environment/Libraries
Prereq: krb5-libs
Obsoletes: %{name}-libs-fermi < %{version}.%{release}
Obsoletes: %{name}-workstation-fermi < %{version}-%{release}
AutoReqProv: No
Epoch: 22

%description libs-fermi
Kerberos is a network authentication system. The krb5-libs package
contains the shared libraries needed by Kerberos 5. If you are using
Fermi Kerberos, you need to install this package.

%package workstation-fermi
Summary: Fermilabs Kerberos 5 programs.
Group: System Environment/Base
Requires: %{name}-libs-fermi = %{epoch}:%{version}-%{release}
Obsoletes: %{name}-libs-fermi < %{version}-%{release}
Obsoletes: %{name}-workstation-fermi < %{version}-%{release}
AutoReqProv: No
Epoch: 22

%description workstation-fermi
Kerberos is a network authentication system. The krb5-workstation-fermi
package contains the basic Kerberos programs (kinit, klist, kdestroy,
kpasswd) as well as kerberized versions of Telnet and FTP. If your
network uses Fermi Kerberos, this package should be installed on every
machine.

%prep
%setup

%install
install -m 0755 -d $RPM_BUILD_ROOT/%{path}

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/bin
install -m 0755 bin/aklog $RPM_BUILD_ROOT/%{path}/bin/aklog
install -m 0755 bin/certutil $RPM_BUILD_ROOT/%{path}/bin/certutil
install -m 0755 bin/ftp $RPM_BUILD_ROOT/%{path}/bin/ftp
install -m 0755 bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert.sh
#install -m 0755 bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert
#install -m 0755 bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/getcert
ln -sf %{path}/bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/get-cert
ln -sf %{path}/bin/get-cert.sh $RPM_BUILD_ROOT/%{path}/bin/getcert
install -m 0755 bin/gss-client $RPM_BUILD_ROOT/%{path}/bin/gss-client
install -m 0755 bin/k5push $RPM_BUILD_ROOT/%{path}/bin/k5push
install -m 0755 bin/kcron $RPM_BUILD_ROOT/%{path}/bin/kcron
install -m 0755 bin/kcroninit $RPM_BUILD_ROOT/%{path}/bin/kcroninit
#install -m 0755 bin/kcrondestroy $RPM_BUILD_ROOT/%{path}/bin/kcrondestroy
ln -sf %{path}/bin/kcroninit $RPM_BUILD_ROOT/%{path}/bin/kcrondestroy
install -m 4755 bin/kcron-create $RPM_BUILD_ROOT/%{path}/bin/kcron-create
ln -sf %{path}/bin/kcron-create $RPM_BUILD_ROOT/%{path}/bin/kcron-destroy
install -m 4755 bin/kdestroy $RPM_BUILD_ROOT/%{path}/bin/kdestroy
install -m 4755 bin/keytab-convert $RPM_BUILD_ROOT/%{path}/bin/keytab-convert
install -m 0755 bin/kinit $RPM_BUILD_ROOT/%{path}/bin/kinit
install -m 0755 bin/klist $RPM_BUILD_ROOT/%{path}/bin/klist
install -m 0755 bin/kpasswd $RPM_BUILD_ROOT/%{path}/bin/kpasswd
install -m 0755 bin/krb524init $RPM_BUILD_ROOT/%{path}/bin/krb524init
install -m 4755 bin/ksu $RPM_BUILD_ROOT/%{path}/bin/ksu
install -m 0755 bin/kx509 $RPM_BUILD_ROOT/%{path}/bin/kx509
install -m 0755 bin/kx509-512bit $RPM_BUILD_ROOT/%{path}/bin/kx509-512bit
install -m 0755 bin/kxlist $RPM_BUILD_ROOT/%{path}/bin/kxlist
install -m 4755 bin/new-portal-ticket $RPM_BUILD_ROOT/%{path}/bin/new-portal-ticket
install -m 0755 bin/pk12util $RPM_BUILD_ROOT/%{path}/bin/pk12util
install -m 0755 bin/rcp $RPM_BUILD_ROOT/%{path}/bin/rcp
install -m 0755 bin/rlogin $RPM_BUILD_ROOT/%{path}/bin/rlogin
install -m 0755 bin/rsh $RPM_BUILD_ROOT/%{path}/bin/rsh
install -m 0755 bin/sclient $RPM_BUILD_ROOT/%{path}/bin/sclient
install -m 0755 bin/sim_client $RPM_BUILD_ROOT/%{path}/bin/sim_client
install -m 0755 bin/telnet $RPM_BUILD_ROOT/%{path}/bin/telnet
install -m 0755 bin/uuclient $RPM_BUILD_ROOT/%{path}/bin/uuclient
install -m 4755 bin/v4rcp $RPM_BUILD_ROOT/%{path}/bin/v4rcp
install -m 0755 bin/v5passwd $RPM_BUILD_ROOT/%{path}/bin/v5passwd

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/sbin
install -m 0755 sbin/ftpd $RPM_BUILD_ROOT/%{path}/sbin/ftpd
install -m 0755 sbin/gss-server $RPM_BUILD_ROOT/%{path}/sbin/gss-server
install -m 0755 sbin/kadmin $RPM_BUILD_ROOT/%{path}/sbin/kadmin
install -m 0755 sbin/klogind $RPM_BUILD_ROOT/%{path}/sbin/klogind
install -m 0755 sbin/krb5-send-pr $RPM_BUILD_ROOT/%{path}/sbin/krb5-send-pr
install -m 0755 sbin/kshd $RPM_BUILD_ROOT/%{path}/sbin/kshd
install -m 0755 sbin/ktutil $RPM_BUILD_ROOT/%{path}/sbin/ktutil
install -m 0755 sbin/login.krb5 $RPM_BUILD_ROOT/%{path}/sbin/login.krb5
install -m 0755 sbin/sim_server $RPM_BUILD_ROOT/%{path}/sbin/sim_server
install -m 0755 sbin/sserver $RPM_BUILD_ROOT/%{path}/sbin/sserver
install -m 0755 sbin/telnetd $RPM_BUILD_ROOT/%{path}/sbin/telnetd
install -m 0755 sbin/uuserver $RPM_BUILD_ROOT/%{path}/sbin/uuserver

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include
install -m 0644 include/com_err.h $RPM_BUILD_ROOT/%{path}/include/com_err.h
install -m 0644 include/krb5.h $RPM_BUILD_ROOT/%{path}/include/krb5.h
install -m 0644 include/libpty.h $RPM_BUILD_ROOT/%{path}/include/libpty.h
install -m 0644 include/mit-sipb-copyright.h $RPM_BUILD_ROOT/%{path}/include/mit-sipb-copyright.h

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include/gssapi
install -m 0644 include/gssapi/gssapi.h $RPM_BUILD_ROOT/%{path}/include/gssapi/gssapi.h
install -m 0644 include/gssapi/gssapi_generic.h $RPM_BUILD_ROOT/%{path}/include/gssapi/gssapi_generic.h
install -m 0644 include/gssapi/gssapi_krb5.h $RPM_BUILD_ROOT/%{path}/include/gssapi/gssapi_krb5.h

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/include/kerberosIV
install -m 0644 include/kerberosIV/des.h $RPM_BUILD_ROOT/%{path}/include/kerberosIV/des.h
install -m 0644 include/kerberosIV/kadm.h $RPM_BUILD_ROOT/%{path}/include/kerberosIV/kadm.h
install -m 0644 include/kerberosIV/krb.h $RPM_BUILD_ROOT/%{path}/include/kerberosIV/krb.h
install -m 0644 include/kerberosIV/krb_err.h $RPM_BUILD_ROOT/%{path}/include/kerberosIV/krb_err.h
install -m 0644 include/kerberosIV/mit-copyright.h $RPM_BUILD_ROOT/%{path}/include/kerberosIV/mit-copyright.h

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/share/gnats
install -m 0644 share/gnats/mit $RPM_BUILD_ROOT/%{path}/share/gnats/mit

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/lib
install -m 0644 lib/libcom_err.a $RPM_BUILD_ROOT/%{path}/lib/libcom_err.a
install -m 0644 lib/libcom_err.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libcom_err.so.1.0
ln -sf %{path}/lib/libcom_err.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libcom_err.so
install -m 0644 lib/libcrypto.a $RPM_BUILD_ROOT/%{path}/lib/libcrypto.a
install -m 0644 lib/libcrypto.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libcrypto.so.1.0
ln -sf %{path}/lib/libcrypto.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libcrypto.so
install -m 0644 lib/libdes425.a $RPM_BUILD_ROOT/%{path}/lib/libdes425.a
install -m 0644 lib/libdes425.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libdes425.so.1.0
ln -sf %{path}/lib/libdes425.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libdes425.so
install -m 0644 lib/libdyn.a $RPM_BUILD_ROOT/%{path}/lib/libdyn.a
install -m 0644 lib/libdyn.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libdyn.so.1.0
ln -sf %{path}/lib/libdyn.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libdyn.so
install -m 0644 lib/libgssapi_krb5.a $RPM_BUILD_ROOT/%{path}/lib/libgssapi_krb5.a
install -m 0644 lib/libgssapi_krb5.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libgssapi_krb5.so.1.0
ln -sf %{path}/lib/libgssapi_krb5.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libgssapi_krb5.so
install -m 0644 lib/libgssrpc.a $RPM_BUILD_ROOT/%{path}/lib/libgssrpc.a
install -m 0644 lib/libgssrpc.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libgssrpc.so.1.0
ln -sf %{path}/lib/libgssrpc.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libgssrpc.so
install -m 0644 lib/libkadm5clnt.a $RPM_BUILD_ROOT/%{path}/lib/libkadm5clnt.a
install -m 0644 lib/libkadm5clnt.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkadm5clnt.so.1.0
ln -sf %{path}/lib/libkadm5clnt.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkadm5clnt.so
install -m 0644 lib/libkadm5srv.a $RPM_BUILD_ROOT/%{path}/lib/libkadm5srv.a
install -m 0644 lib/libkadm5srv.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkadm5srv.so.1.0
ln -sf %{path}/lib/libkadm5srv.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkadm5srv.so
install -m 0644 lib/libkdb5.a $RPM_BUILD_ROOT/%{path}/lib/libkdb5.a
install -m 0644 lib/libkdb5.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkdb5.so.1.0
ln -sf %{path}/lib/libkdb5.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkdb5.so
install -m 0644 lib/libkrb4.a $RPM_BUILD_ROOT/%{path}/lib/libkrb4.a
install -m 0644 lib/libkrb4.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkrb4.so.1.0
ln -sf %{path}/lib/libkrb4.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkrb4.so
install -m 0644 lib/libkrb5.a $RPM_BUILD_ROOT/%{path}/lib/libkrb5.a
install -m 0644 lib/libkrb5.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkrb5.so.1.0
ln -sf %{path}/lib/libkrb5.so.1.0 $RPM_BUILD_ROOT/%{path}/lib/libkrb5.so
install -m 0644 lib/libkrb524.a $RPM_BUILD_ROOT/%{path}/lib/libkrb524.a
install -m 0644 lib/libkrb5util.a $RPM_BUILD_ROOT/%{path}/lib/libkrb5util.a
install -m 0644 lib/libpty.a $RPM_BUILD_ROOT/%{path}/lib/libpty.a
install -m 0644 lib/kcommon.pm $RPM_BUILD_ROOT/%{path}/lib/kcommon.pm

install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man1
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man5
install -m 0755 -d $RPM_BUILD_ROOT/%{path}/man/man8
install -m 0644 man/aklog.1 $RPM_BUILD_ROOT/%{path}/man/man1/aklog.1
install -m 0644 man/ftp.1 $RPM_BUILD_ROOT/%{path}/man/man1/ftp.1
install -m 0644 man/k5push.1 $RPM_BUILD_ROOT/%{path}/man/man1/k5push.1
install -m 0644 man/kcron-create.1 $RPM_BUILD_ROOT/%{path}/man/man1/kcron-create.1
install -m 0644 man/kcron.1 $RPM_BUILD_ROOT/%{path}/man/man1/kcron.1
install -m 0644 man/get-cert.1 $RPM_BUILD_ROOT/%{path}/man/man1/get-cert.1
install -m 0644 man/kcrondestroy.1 $RPM_BUILD_ROOT/%{path}/man/man1/kcrondestroy.1
install -m 0644 man/kcroninit.1 $RPM_BUILD_ROOT/%{path}/man/man1/kcroninit.1
install -m 0644 man/kdestroy.1 $RPM_BUILD_ROOT/%{path}/man/man1/kdestroy.1
install -m 0644 man/kerberos.1 $RPM_BUILD_ROOT/%{path}/man/man1/kerberos.1
install -m 0644 man/keytab-convert.1 $RPM_BUILD_ROOT/%{path}/man/man1/keytab-convert.1
install -m 0644 man/kinit.1 $RPM_BUILD_ROOT/%{path}/man/man1/kinit.1
install -m 0644 man/klist.1 $RPM_BUILD_ROOT/%{path}/man/man1/klist.1
install -m 0644 man/kpasswd.1 $RPM_BUILD_ROOT/%{path}/man/man1/kpasswd.1
install -m 0644 man/krb5-send-pr.1 $RPM_BUILD_ROOT/%{path}/man/man1/krb5-send-pr.1
install -m 0644 man/ksu.1 $RPM_BUILD_ROOT/%{path}/man/man1/ksu.1
install -m 0644 man/new-portal-ticket.1 $RPM_BUILD_ROOT/%{path}/man/man1/new-portal-ticket.1
install -m 0644 man/rcp.1 $RPM_BUILD_ROOT/%{path}/man/man1/rcp.1
install -m 0644 man/rlogin.1 $RPM_BUILD_ROOT/%{path}/man/man1/rlogin.1
install -m 0644 man/rsh.1 $RPM_BUILD_ROOT/%{path}/man/man1/rsh.1
install -m 0644 man/sclient.1 $RPM_BUILD_ROOT/%{path}/man/man1/sclient.1
install -m 0644 man/telnet.1 $RPM_BUILD_ROOT/%{path}/man/man1/telnet.1
install -m 0644 man/tmac.doc $RPM_BUILD_ROOT/%{path}/man/man1/tmac.doc
install -m 0644 man/v4rcp.1 $RPM_BUILD_ROOT/%{path}/man/man1/v4rcp.1
install -m 0644 man/v5passwd.1 $RPM_BUILD_ROOT/%{path}/man/man1/v5passwd.1
install -m 0644 man/kdc.conf.5 $RPM_BUILD_ROOT/%{path}/man/man5/kdc.conf.5
install -m 0644 man/krb5.conf.5 $RPM_BUILD_ROOT/%{path}/man/man5/krb5.conf.5
install -m 0644 man/.k5login.5 $RPM_BUILD_ROOT/%{path}/man/man5/.k5login.5
install -m 0644 man/kdb5_util.8 $RPM_BUILD_ROOT/%{path}/man/man8/kdb5_util.8
install -m 0644 man/klogind.8 $RPM_BUILD_ROOT/%{path}/man/man8/klogind.8
install -m 0644 man/ftpd.8 $RPM_BUILD_ROOT/%{path}/man/man8/ftpd.8
install -m 0644 man/kadmin.8 $RPM_BUILD_ROOT/%{path}/man/man8/kadmin.8
install -m 0644 man/kadmin.local.8 $RPM_BUILD_ROOT/%{path}/man/man8/kadmin.local.8
install -m 0644 man/kadmind.8 $RPM_BUILD_ROOT/%{path}/man/man8/kadmind.8
install -m 0644 man/kprop.8 $RPM_BUILD_ROOT/%{path}/man/man8/kprop.8
install -m 0644 man/kpropd.8 $RPM_BUILD_ROOT/%{path}/man/man8/kpropd.8
install -m 0644 man/krb5kdc.8 $RPM_BUILD_ROOT/%{path}/man/man8/krb5kdc.8
install -m 0644 man/kshd.8 $RPM_BUILD_ROOT/%{path}/man/man8/kshd.8
install -m 0644 man/ktutil.8 $RPM_BUILD_ROOT/%{path}/man/man8/ktutil.8
install -m 0644 man/login.krb5.8 $RPM_BUILD_ROOT/%{path}/man/man8/login.krb5.8
install -m 0644 man/sserver.8 $RPM_BUILD_ROOT/%{path}/man/man8/sserver.8
install -m 0644 man/telnetd.8 $RPM_BUILD_ROOT/%{path}/man/man8/telnetd.8

mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/profile.d

install -m 0644 krb5.conf $RPM_BUILD_ROOT/etc/krb5.conf.krb5.default
install -m 0755 krb5.sh $RPM_BUILD_ROOT/etc/profile.d/z_krb5.sh
install -m 0755 krb5.csh $RPM_BUILD_ROOT/etc/profile.d/z_krb5.csh

%post libs-fermi
if ! grep -q '%{path}/lib$' /etc/ld.so.conf ; then
	echo %{path}/lib >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun libs-fermi -p /sbin/ldconfig

%post workstation-fermi
if [ ! -f /etc/krb5.conf ] ; then
	cp -f /etc/krb5.conf.krb5.default /etc/krb5.conf
fi
if ! grep -q '%{path}/man$' /etc/man.config ; then
	echo MANPATH %{path}/man >> /etc/man.config
fi
if ! grep -q "<console> 0600 /dev/console 0600 root.root" /etc/security/console.perms ; then
	echo "<console> 0600 /dev/console 0600 root.root" >> /etc/security/console.perms
fi
chmod u+s %{path}/bin/kcron-destroy

%files getcert
%attr(0755,root,root)  %{path}/bin/certutil
%attr(0755,root,root)  %{path}/bin/getcert
%attr(0755,root,root)  %{path}/bin/get-cert
%attr(0755,root,root)  %{path}/bin/get-cert.sh
%attr(0755,root,root)  %{path}/bin/pk12util
%attr(0755,root,root)  %{path}/man/man1/get-cert.1
%attr(0755,root,root)  %{path}/bin/kx509
%attr(0755,root,root)  %{path}/bin/kx509-512bit
%attr(0755,root,root)  %{path}/bin/kxlist

%files libs-fermi
%attr(0755,root,root)  %dir %{path}/include
%attr(0644,root,root)  %dir %{path}/include/*.h
%attr(0755,root,root)  %dir %{path}/include/gssapi
%attr(0644,root,root)  %dir %{path}/include/gssapi/*.h
%attr(0755,root,root)  %dir %{path}/include/kerberosIV
%attr(0644,root,root)  %dir %{path}/include/kerberosIV/*.h
%attr(0644,root,root)  %{path}/lib/kcommon.pm
%attr(0777,root,root)  %{path}/lib/lib*.so
%attr(0644,root,root)  %{path}/lib/lib*.so.1.0
%attr(0644,root,root)  %{path}/lib/lib*.a
%attr(0755,root,root)  %dir %{path}/share
%attr(0755,root,root)  %dir %{path}/share/gnats
%attr(0644,root,root)  %dir %{path}/share/gnats/mit

%files workstation-fermi
%attr(0755,root,root)  %dir /etc/profile.d
%attr(0644,root,root)  %config(noreplace) /etc/krb5.conf.krb5.default
%attr(0755,root,root)  %config /etc/profile.d/z_krb5.sh
%attr(0755,root,root)  %config /etc/profile.d/z_krb5.csh

%attr(0755,root,root)  %dir %{path}
%attr(0755,root,root)  %dir %{path}/bin
%attr(0755,root,root)  %dir %{path}/man
%attr(0755,root,root)  %dir %{path}/man/man1
%attr(0755,root,root)  %dir %{path}/man/man5
%attr(0755,root,root)  %dir %{path}/man/man8
%attr(0755,root,root)  %dir %{path}/sbin

%attr(0755,root,root)  %{path}/bin/aklog
%attr(0755,root,root)  %{path}/bin/ftp
%attr(0755,root,root)  %{path}/bin/gss-client
%attr(0755,root,root)  %{path}/bin/k5push
%attr(0755,root,root)  %{path}/bin/kcron
%attr(0755,root,root)  %{path}/bin/kcroninit
%attr(0777,root,root)  %{path}/bin/kcrondestroy
%attr(4755,root,root)  %{path}/bin/kcron-create
%attr(4777,root,root)  %{path}/bin/kcron-destroy
%attr(4755,root,root)  %{path}/bin/kdestroy
%attr(4755,root,root)  %{path}/bin/keytab-convert
%attr(0755,root,root)  %{path}/bin/kinit
%attr(0755,root,root)  %{path}/bin/klist
%attr(0755,root,root)  %{path}/bin/kpasswd
%attr(0755,root,root)  %{path}/bin/krb524init
%attr(4755,root,root)  %{path}/bin/ksu
%attr(0755,root,root)  %{path}/bin/kx509
%attr(0755,root,root)  %{path}/bin/kxlist
%attr(4755,root,root)  %{path}/bin/new-portal-ticket
%attr(0755,root,root)  %{path}/bin/rcp
%attr(0755,root,root)  %{path}/bin/rlogin
%attr(0755,root,root)  %{path}/bin/rsh
%attr(0755,root,root)  %{path}/bin/sclient
%attr(0755,root,root)  %{path}/bin/sim_client
%attr(0755,root,root)  %{path}/bin/telnet
%attr(0755,root,root)  %{path}/bin/uuclient
%attr(4755,root,root)  %{path}/bin/v4rcp
%attr(0755,root,root)  %{path}/bin/v5passwd
%attr(0755,root,root)  %{path}/sbin/kadmin
%attr(0755,root,root)  %{path}/sbin/ktutil
%attr(0755,root,root)  %{path}/sbin/login.krb5
%attr(0755,root,root)  %{path}/sbin/ftpd
%attr(0755,root,root)  %{path}/sbin/gss-server
%attr(0755,root,root)  %{path}/sbin/klogind
%attr(0755,root,root)  %{path}/sbin/krb5-send-pr
%attr(0755,root,root)  %{path}/sbin/kshd
%attr(0755,root,root)  %{path}/sbin/sserver
%attr(0755,root,root)  %{path}/sbin/sim_server
%attr(0755,root,root)  %{path}/sbin/telnetd
%attr(0755,root,root)  %{path}/sbin/uuserver

%attr(0644,root,root)  %{path}/man/man1/*.1
%attr(0644,root,root)  %{path}/man/man5/*.5
%attr(0644,root,root)  %{path}/man/man5/.k5login.5
%attr(0644,root,root)  %{path}/man/man8/*.8
%attr(0644,root,root)  %{path}/man/man1/tmac.doc


%changelog
* Thu Aug 20 2009 Troy Dawson <dawson@fnal.gov> 1.8d-14.LTS4
- Changed settings on kdestroy to 4755

* Tue Jul 14 2009 Frank Nagy <nagy@fnal.gov> 1.8d-12.LTS4
- Again fix file ownership but now with hordes of %attr options

* Fri Jul 10 2009 Frank Nagy <nagy@fnal.gov> 1.8d-11.LTS4
- Updated krb5.conf to v2.12, fixed file ownership to root:root
- make kcron-destroy a symbolic link kcron-create and removed kcron-delete

* Thu Jun 25 2009 Frank Nagy <nagy@fnal.gov) 1.8d-10.LTS4
- Updated Epoch and release and modified Obsoletes for libs-fermi

* Wed Jun 10 2009 Frank Nagy <nagy@fnal.gov> 1.8d-9.LTS4
- Updated kcron-delete/kcron-create and fixed permissions (setuid)
- Updated get-cert.sh and added links for get-cert and getcert
- Changed kcrondestory to be symbolic link to kcroninit
- Updated kx509 and kxlist, added kx509-512 (regular now does 1024-bit keys)

* Thu May 07 2009 Troy Dawson <dawson@fnal.gov> 1.8d-8.LTS4
- Updated kcron to work with the new aklog

* Tue Apr 28 2009 Troy Dawson <dawson@fnal.gov> 1.8d-7.LTS4
- Added aklog from krb5-fermi-aklog

* Tue Apr 28 2009 Troy Dawson <dawson@fnal.gov> 1.8d-6.LTS4
- Removed aklog link, it is now supplied by krb5-fermi-aklog

* Tue Jan 06 2009 Troy Dawson <dawson@fnal.gov> 1.8d-5.LTS4
- Removed aklog, created a link for it pointing to /usr/bin/aklog

* Tue Dec 30 2008 Troy Dawson <dawson@fnal.gov> 1.8d-4.LTS4
- Copied kcroninit to be kcrondestroy to fix a kcron bug

* Mon Apr 23 2007 Troy Dawson <dawson@fnal.gov> 1.8d-3.LTS4
- Updated z_krb5.sh and z_krb5.csh to no use the -setpag option

* Mon Apr 23 2007 Troy Dawson <dawson@fnal.gov> 1.8d-2.LTS4
- Reverted kcroninit to the versoin in 1.8a
- Updated k5push to version 1.0 from ups

* Thu Apr 05 2007 Troy Dawson <dawson@fnal.gov> 1.8d-1.LTS4
- Updated binaries that have a fix for telnet vulnerability
- Added kcrondestroy, along with man pages
- Added get-cert.sh along with corresponding certutil and pk12util

* Tue Sep 13 2005 Troy Dawson <dawson@fnal.gov> 1.8a-LTS4x.4
- Fixed krb5.csh, so it is klist -s >& /dev/null

* Mon Aug 29 2005 Troy Dawson <dawson@fnal.gov> 1.8a-LTS4x.3
- Fixed spec files so upgrades work correctly
- removed the login-fermi package

* Mon Aug 29 2005 Troy Dawson <dawson@fnal.gov> 1.8a-LTS4x.2
- Changed the check to see if you have kerberos tickets before doing aklog

* Sat May 28 2005 Troy Dawson <dawson@fnal.gov>
- Added checked for AFS, and if so, do an aklog to the profile.d scripts

* Mon Feb 02 2004 Troy Dawson <dawson@fnal.gov>
- Fixed some suid properties on files.

* Tue Jan 06 2004 Troy Dawson <dawson@fnal.gov>
- Changed everything to use a BuildRoot, so it works for LTS

* Thu Dec 11 2003 Troy Dawson <dawson@fnal.gov>
- Upgraded it to version 1.8

* Wed Nov 05 2003 Troy Dawson <dawson@fnal.gov>
- Put in kx509 and kxlist

* Wed Oct 22 2003 Troy Dawson <dawson@fnal.gov>
- Put in the fixed ftpd, provided by Matt Crawford

* Tue Feb 25 2003 Troy Dawson <dawson@fnal.gov>
- Upgraded the kerberos to Fermi Kerberos 1.7.

* Fri Nov 22 2002 Troy Dawson <dawson@fnal.gov>
- Changed the profile.d scripts.  They now add the path, whether the kerberos
  path, whether the it is already in the users path or not.  This is to fix
  the ssh problem, where /usr/krb5/bin is too early in the path.

* Mon Aug 26 2002 Troy Dawson <dawson@fnal.gov>
- Changed the name for the files in profile.d, so it doesn't conflict with
  RedHats  krb5-workstation.

* Wed Jul 10 2002 Troy Dawson <dawson@fnal.gov>
- Changed the spec file so that the names matched those of redhat's rpms.

* Thu May 6 2002 Troy Dawson <dawson@fnal.gov>
- Updated the rpm to 1.6.  This also added k5push, and new-portal-ticket

* Thu Nov 1 2001 Troy Dawson <dawson@fnal.gov>
- I added kcroninit and kcommon to the rpm.

* Mon Aug 27 2001 Troy Dawson <dawson@fnal.gov>
- I upgraded the rpm to 1.3c

* Wed Jun 13 2001 Troy Dawson <dawson@fnal.gov>
- I added the rpm krb-fermi-login rpm

* Tue May 22 2001 Troy Dawson <dawson@fnal.gov>
- I changed the binaries to those of 1.3

* Wed May 9 2001 Troy Dawson <dawson@fnal.gov>
- I changed the spec file again so that it only makes one rpm, instead of 
  three.  I also changed the binaries to those of 1.2.

* Wed May 2 2001 Troy Dawson <dawson@fnal.gov>
- I changed the spec file so that everything is done by hand.  This 
  isn't as efficient for future changes, but it makes sure that everything
  is put in it's proper place as expected.

* Mon Apr 30 2001 Troy Dawson <dawson@fnal.gov>
- took the spec file from MIT's krb5 program for RedHat Linux 5.1 and
  did some major rewritting.
